@article{Rivest,
    author = {Ronald L.Rivest and M.J.B. Robshaw and R. Sidney and Y.L. Yin},
    title = {The RC6 Block Cipher},
    year = {1998},
    month = aug
}

@article{RC6_attack,
    author = {Henri Gilbert and Helena Handschuh and Antoine Joux and Serge Vaudenay},
    title = {A Statistical Attack on RC6},
    journal = {B. Schneier, Ed., Fast Software Encryption, vol. 1978 of Lecture Notes in Computer Science, pp. 64–74, Springer-Verlag, 2001.},
    year = {2004},
    month = aug
}

@article{DES,
    title = {Data Encryption Standard},
    journal = {Federal Information Processing Standards Publication 46-3},
    year = 1999,
    mon = oct
}

@article{AES,
    author = {National Institute of Standards and Technology},
    title = {Advanced Encryption Standard (AES)},
    journal = {Federal Information Processing Standards (FIPS) Publication 197},
    year = 2001,
    mon = nov
}

@article{magma,
    title = {КРИПТОГРАФИЧЕСКАЯ ЗАЩИТА ИНФОРМАЦИИ, Блочные шифры},
    journal = {НАЦИОНАЛЬНЫЙ СТАНДАРТ РОССИЙСКОЙ ФЕДЕРАЦИИ},
    year = 2015
}

@article{idea,
    author = {Sandipan Basu},
    title = {INTERNATIONAL DATA ENCRYPTION ALGORITHM (IDEA) – A TYPICAL ILLUSTRATION},
    journal = {Journal of Global Research in Computer Science },
    year = 2011,
    mon = jul
}

@article{ideanxt,
    author = {Colm O’Keeffe and Emanuel Popovici},
    title = {FOX Algorithm Implementation: a hardware design
approach},
    year = 2005
}